Products / User groups
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?A user group products can belong to, which drives who can reach them and which price rules apply.
curl -X GET 'https://<your-instance>/api/item-lists/products/user-groups' \ -H 'Authorization: Bearer <access-token>'[ { "eshopName": "string", "id": 0, "name": "string", "note": "string" }]BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
A user group products can belong to, which drives who can reach them and which price rules apply.
eshopName?|length <= 80id?integerint32name?|length <= 80note?string|nullapplication/json- response
A user group products can belong to, which drives who can reach them and which price rules apply.
eshopName?|length <= 80id?integerint32name?|length <= 80note?string|nullcurl -X POST 'https://<your-instance>/api/item-lists/products/user-groups' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopName": "string", "id": 0, "name": "string", "note": "string"}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- response
A user group products can belong to, which drives who can reach them and which price rules apply.
eshopName?|length <= 80id?integerint32name?|length <= 80note?string|nullcurl -X GET 'https://<your-instance>/api/item-lists/products/user-groups/0' \ -H 'Authorization: Bearer <access-token>'{ "eshopName": "string", "id": 0, "name": "string", "note": "string"}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- body
A user group products can belong to, which drives who can reach them and which price rules apply.
eshopName?|length <= 80id?integerint32name?|length <= 80note?string|nullapplication/json- response
A user group products can belong to, which drives who can reach them and which price rules apply.
eshopName?|length <= 80id?integerint32name?|length <= 80note?string|nullcurl -X PATCH 'https://<your-instance>/api/item-lists/products/user-groups/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopName": "string", "id": 0, "name": "string", "note": "string"}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32curl -X DELETE 'https://<your-instance>/api/item-lists/products/user-groups/0' \ -H 'Authorization: Bearer <access-token>'